Starmade | Damage Beam applies damage inconsistently to armored blocks
Closed, FinishedPublic

Description

A damage beam with 20 blocks has 200 damage per tick, one damage instance with 147.8 and one with 52.2. If an armored block is hit, the built-in piercing effect is countered, but inconsistently.

As long as the targeted entity has armor HP both damage instances are applied to the block which was hit, resulting in 25 block damage per tick: 200 total damage times 0.25 due to 75% armor, times 0.5 due to armor HP. Armor HP receives 100 damage per tick.

After armor HP is depleted only the first damage instance is applied to the block which was hit, resulting in 36 damage per tick: 147.8 damage from first instance times 0.25 due to 75% armor.

Upon hitting an armored block the second damage instance does apply to that same block when armor HP > 0, but it doesn't when armor HP = 0. I'm not sure if this inconsistency is intended or a bug, but it's definitely confusing and makes an already complicated system even harder to understand.

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Singleplayer
Reproducible
Yes
Last tested (version)
0.199.435
Category
Control Block System: Weapons
First occurrence (version)
0.19538
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
NVIDIA
Steps to reproduce
  • Build damage beam of size 20.
  • Fire at advanced armor blocks until armor HP of targeted entity is depleted.
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Malacodor changed Category from none/unspecified to Control Block System: Weapons.
Malacodor changed Video Card Vendor from uncertain to NVIDIA.
Malacodor edited Serverconfig (server.cfg). (Show Details)
Malacodor edited Clientconfig (settings.cfg). (Show Details)
Malacodor changed Affected Gamemode(s) from none/unspecified to Singleplayer.
Malacodor changed Reproducible from uncertain to Yes.
Malacodor set Last tested (version) to 0.19538.
Malacodor edited Steps to reproduce. (Show Details)
Malacodor added a subscriber: Malacodor.
Restricted Application added a project: Issue Navigation. · View Herald TranscriptDec 31 2015, 5:45 PM
lancake claimed this task.Jan 8 2016, 5:26 PM

-Validated-

I'll check it out.

lancake triaged this task as "Normal" priority.Jan 8 2016, 5:39 PM
lancake shifted this object from the S1 Public space to the S3 Starmade space.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake set Task Type to Bug.
lancake set First occurrence (version) to 0.19538.
lancake set OS-Specific to No.
lancake set Hardware-Specific to No.
lancake moved this task from New / Unconfirmed to Open / Validated on the Issue Navigation board.
Restricted Application added a project: Starmade. · View Herald TranscriptNov 2 2016, 12:23 AM
lancake changed the task status from "Open" to "Resolved".Jan 22 2017, 6:45 PM

Should be fixed in next build, requires some fine tweaking though to get it just right though.
Now it stacks damage on any armor block till the block dies before it continues propagating. A similar system to what cannons use.

Restricted Application edited projects, added Quality Assurance; removed Issue Navigation. · View Herald TranscriptJan 22 2017, 6:45 PM

What? No thumbs up button? ;-)

Thank you!

lancake closed this task as "Closed".Feb 7 2017, 3:08 PM
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptFeb 7 2017, 3:08 PM
lancake changed Last tested (version) from 0.19538 to 0.199.435.Feb 7 2017, 3:08 PM
Restricted Application added a project: CBS: Weapons. · View Herald TranscriptMar 10 2017, 6:19 PM
AndyP moved this task from Unclassed to Archived on the Starmade board.Apr 28 2017, 8:40 AM